Skip to main content
DELETE
/
applications
/
attachments
/
{id}
Delete attachment
curl --request DELETE \
  --url https://api.incentives.leap.energy/alpha/applications/attachments/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.incentives.leap.energy/alpha/applications/attachments/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.incentives.leap.energy/alpha/applications/attachments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}
{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}
{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}
{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}
{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}

Overview

Delete an attachment from storage and remove the database record.
This operation is permanent and cannot be undone. The file will be deleted from storage and the database record will be removed.
Response Code: This endpoint returns 204 No Content on successful deletion (no response body).
For more information, see the Attachments Workflow section in the API Guide.

Authorizations

x-api-key
string
header
required

API key for authentication. Include your Leap API key in the x-api-key header: x-api-key: leap_live_...

Path Parameters

id
integer
required

Attachment ID to delete

Query Parameters

application_id
integer

Application ID that the attachment belongs to.

Response